# Website Sale Product Pack

This module introduces compatibility of product packs with e-commerce:

- In the cart summary, the components aren’t editable and are shown hanging from the main pack reference.
- When we remove a pack from the cart, their components are removed as well.
- The cart popup summary only shows the main pack line and discards the sublines in the units count.
- The cart summary shows the component lines hanging from the main one as well.
- It’s ensured the the prices are shown correctly for the whole pack and that they’re correctly summarized depending on the pack type.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

There are several demo packs to test the module. Publish them and add them to the cart from the frontend. You should have the same quotation as if you do it in the backend.

# Known issues / Roadmap

- Improve pack cart display.
- When we have subpacks (a pack inside a pack) we should improve visually how it’s shown in the cart.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - David Vidal
- ADHOC SA:
  - Nicolas Mac Rouillon

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/product-pack project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.